<?php
// コマンド共通モジュール取り込み
require_once(dirname(dirname(dirname(__FILE__)))
.DIRECTORY_SEPARATOR.'spider'
.DIRECTORY_SEPARATOR.'spider.cmd.php');
// データベース接続クラスの読み込み
require_once(dirname(dirname(dirname(__FILE__)))
.DIRECTORY_SEPARATOR.'database2'
.DIRECTORY_SEPARATOR.'Connect.class.php');
// システム設定クラスの読み込み
require_once(dirname(dirname(dirname(__FILE__)))
.DIRECTORY_SEPARATOR.'system'
.DIRECTORY_SEPARATOR.'PackageConfig.class.php');
// ショッピングパッケージ設定クラス
require_once(dirname(dirname(__FILE__))
.DIRECTORY_SEPARATOR.'PackageConfig.class.php');
$systemPackageConfigObject	= new system_PackageConfig();
if( $systemPackageConfigObject->load($GLOBALS['request']) ) {
} else {
	$GLOBALS['request']->addLocaledError('system.error.common.noinstalled',SPIDER_LOG_LEVEL_ERROR,array());
}
$shoppingPackageConfigObject	= new shopping_PackageConfig();
if( $shoppingPackageConfigObject->load($GLOBALS['request']) ) {
} else {
	$GLOBALS['request']->addLocaledError('system.error.common.noinstalled',SPIDER_LOG_LEVEL_ERROR,array());
}

//
// データベースに接続する
//
database2_Connect::execute( $GLOBALS['request'] );
$dbo	= $GLOBALS['request']->getAttribute('dbo');

$sql	= 'SELECT order_id FROM shopping_order WHERE order_id LIKE \'1102007%\'';
$rows	= $dbo->queryAll($sql,'hash');
if( $rows ) {
	foreach( $rows as $row ){
		$orderId = $row['order_id'];
//		echo $orderId."\n";
		$sql	= 'SELECT SUM(price_unit * DATEDIFF(svc_limit_date,svc_start_date)) FROM shopping_order_item WHERE order_id='.$dbo->quote($orderId).' AND delivery_type=900';
		$price	= $dbo->queryOne($sql);
		if( strlen($price)>0 && $price>0 ){
			echo $orderId.':'.$price."\n";
			$sql	= 'UPDATE shopping_order SET price_total='.$price
			.',purchase_total='.$price
			.',payment_total='.$price
			.' WHERE order_id='.$dbo->quote($orderId)
			;
			echo $sql."\n";
			$dbo->query($sql);
		}
//		$sql	= 'SELECT DATEDIFF(svc_limit_date,svc_start_date) FROM shopping_order_item WHERE order_id='.$dbo->quote($orderId).' AND delivery_type=900';
//		$result = $dbo->queryAll($sql,'hash');
//		foreach($result as $rn){
//			print_r($rn);
//		}
		ob_flush();
	}
} else {
	print_r( $dbo );
}
//
// データベース切断
//
database2_Connect::post_process( $GLOBALS['request'] );
?>